reynaldomalasaga Posted March 24, 2017 Posted March 24, 2017 Good Day sir/maam.. Can someone help me!!!!! is thier lisp program that will create text that displays the x,y coordinates for a selected object? thank you !!! sir Quote
BIGAL Posted March 24, 2017 Posted March 24, 2017 Plenty of them here just search for "label points" various options, plain text, stacked x/y, leader style etc. Quote
tombu Posted March 24, 2017 Posted March 24, 2017 Old one to get you started, you'll need to place Pt_Coordinates.dwg attached into a support directory along with the code. ;| Label for Point. PtLabel.lsp BY: TOM BEAUFORD ^P(or C:Label (load "PtLabel.lsp"));PtLabel BeaufordT@LeonCountyFL.gov Leon County Public Works/Engineering ==================================================================|; (defun C:PtLabel (/ ATTDIA) (setq ATTDIA (getvar "ATTDIA")) (setvar "ATTDIA" 0) (command "._INSERT" "Pt_Coordinates" (getpoint "Pick Point: ") ;Insert pt (/ 0.1 (getvar "cannoscalevalue")) ;X Scale ; (* (getvar "DIMTXT") (getvar "DIMSCALE")) ;X Scale (Alternate) "" ;Y Scale ; "" ;Rotation (*(/(getvar "viewtwist")pi)-180) ;Rotation "" ;Easting "" ;Northing ) (setvar "ATTDIA" ATTDIA) (entupd (entlast)) ; (command "._DDATTE" (entlast)) (princ) ) Pt_Coordinates.dwg Quote
StevJ Posted March 24, 2017 Posted March 24, 2017 Here's a simple one that shows the coordinates in the command line. (defun c:XY (/ p x y) (while (setq p (getpoint "\nPick Point: ")) (princ (strcat " X = " (rtos (car p)) " Y = " (rtos (cadr p)) ) ) ) ) Steve Quote
reynaldomalasaga Posted March 28, 2017 Author Posted March 28, 2017 thank you masters:shock::shock: thank you so much!!! Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.